classification
Title: ssl module - should test for a wrong cert
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.0, Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: janssen Nosy List: grooverdan, janssen, jonas.wagner, pitrou, thijs
Priority: normal Keywords: patch

Created on 2008-06-26 18:34 by jonas.wagner, last changed 2010-04-27 21:42 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
add_wrong_cert_test.diff jonas.wagner, 2008-06-26 18:34
unnamed janssen, 2008-06-26 22:53
Messages (7)
msg68797 - (view) Author: Jonas Wagner (jonas.wagner) Date: 2008-06-26 18:34
Currently test_ssl.py only tests for empty or broken certificates. One
can break certificate validation in _ssl.c and they still pass.

The following patch should fix this.

- Jonas
msg68807 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2008-06-26 22:53
OK, good idea.  I'll put it in.

Bill

On Thu, Jun 26, 2008 at 11:34 AM, Jonas Wagner <report@bugs.python.org>
wrote:

>
> New submission from Jonas Wagner <veers@gmx.ch>:
>
> Currently test_ssl.py only tests for empty or broken certificates. One
> can break certificate validation in _ssl.c and they still pass.
>
> The following patch should fix this.
>
> - Jonas
>
> ----------
> components: Tests
> files: add_wrong_cert_test.diff
> keywords: patch
> messages: 68797
> nosy: janssen, jonas.wagner
> severity: normal
> status: open
> title: ssl module - should test for a wrong cert
> type: feature request
> versions: Python 2.6
> Added file: http://bugs.python.org/file10745/add_wrong_cert_test.diff
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue3212>
> _______________________________________
>
msg68912 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2008-06-28 21:24
I've added this into my patch.
msg68930 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2008-06-29 00:03
Added this in 2.6, still needs it for 3.x.
msg92107 - (view) Author: Daniel Black (grooverdan) * Date: 2009-08-31 07:39
Is fixed in p3k Mon Sep 8 16:45:19 2008 UTC
http://svn.python.org/view/python/branches/py3k/Lib/test/test_ssl.py?r1=65837&r2=66311
msg93046 - (view) Author: Thijs Triemstra (thijs) Date: 2009-09-23 17:47
Guess it can be closed then.
msg104370 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-04-27 21:42
Ok, so it was fixed.
History
Date User Action Args
2010-04-27 21:42:43pitrousetstatus: open -> closed

nosy: + pitrou
messages: + msg104370

resolution: fixed
stage: resolved
2009-09-23 17:47:36thijssetnosy: + thijs
messages: + msg93046
2009-08-31 07:39:18grooverdansetnosy: + grooverdan

messages: + msg92107
versions: + Python 3.1, Python 3.2
2008-07-07 04:44:56gregory.p.smithsetpriority: normal
assignee: janssen
2008-06-29 00:03:58janssensetmessages: + msg68930
versions: + Python 3.0, - Python 2.6
2008-06-28 21:24:19janssensetmessages: + msg68912
2008-06-26 22:53:04janssensetfiles: + unnamed
messages: + msg68807
2008-06-26 18:34:12jonas.wagnercreate